## org.apache.poi.ss.formula.ptg
Class UnknownPtg

    java.lang.Object
      org.apache.poi.ss.formula.ptg.Ptg
          org.apache.poi.ss.formula.ptg.UnknownPtg

    public class UnknownPtg

extends Ptg

Author:
  andy, Jason Height (jheight at chariot dot net dot au)

Field Summary

Fields inherited from class org.apache.poi.ss.formula.ptg.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

Constructor Summary
`UnknownPtg(int sid)`

Method Summary
`byte` `getDefaultOperandClass()`
`int` `getSize()`
`boolean` `isBaseToken()`
`java.lang.String` `toFormulaString()` return a string representation of this token alone
`void` `write(LittleEndianOutput out)`

Methods inherited from class org.apache.poi.ss.formula.ptg.Ptg
`createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, readTokens, serializePtgs, setClass, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnknownPtg

    public UnknownPtg(int sid)

Method Detail

### isBaseToken

    public boolean isBaseToken()

  Specified by:
    `isBaseToken` in class `Ptg`
  Returns:
    `false` if this token is classified as 'reference', 'value', or 'array'

### write

    public void write(LittleEndianOutput out)

  Specified by:
    `write` in class `Ptg`

### getSize

    public int getSize()

  Specified by:
    `getSize` in class `Ptg`
  Returns:
    the encoded length of this Ptg, including the initial Ptg type identifier byte.

### toFormulaString

    public java.lang.String toFormulaString()

  Description copied from class: `Ptg`
  return a string representation of this token alone

  Specified by:
    `toFormulaString` in class `Ptg`

### getDefaultOperandClass

    public byte getDefaultOperandClass()

  Specified by:
    `getDefaultOperandClass` in class `Ptg`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.